#include "iap.h"
#include "string.h"
#include "CommandsDefine.h"
#include "ProjectConfig.h"
#include "usart.h"	
#include "Helper.h"
#include "sys.h"
/* 发起开始更新 
  正确的响应：从App跳转到Boot.如果已经在Boot中，返回错误Error0x03_AlreadyAtBoot
	发送格式:
  包起始标识
	+CMD0x05_Request_UpdateStart
	+[2字节的数据长度，=00]
	+包尾标识	
	
	返回：无。在发起此命令后，应用端应该在稍后检查是否运行在Boot，然后才开始更新
*/
void CMD0x07_Request_ReadbackAppStartTime_process(u8 *pData,u16 dataLen,u8 bIsContentBitInverted_Recv,u8 bIsContentBitInverted_SendBack)
{
		//response!!!
		u8 dataBytes=BYTES_MASTER_STARTTIME;
		
	  memcpy(USART_WR_BUF,RegisteredMatserStartTime,dataBytes);

		USART6_Send(CMD0x07_Request_ReadbackAppStartTime,dataBytes,bIsContentBitInverted_SendBack);	
}
