#include "CommandsDefine.h"

RequestCmdItem RequestCmdTables[INCLUDE_CMD_COUNT]=
{
	{CMD0x01_Request_RunningAtWhere,&CMD0x01_Request_RunningAtWhere_process,0,1},
	{CMD0x02_Request_ReadMcuVersion,&CMD0x02_Request_ReadMcuVersion_process,0,0},
	{CMD0x03_Request_ReadMcuBootVersion,&CMD0x03_Request_ReadMcuBootVersion_process,0,0},		
	{CMD0x04_Request_ReadUpdateTimeStamp,&CMD0x04_Request_ReadUpdateTimeStamp_process,0,1},
	{CMD0x05_Request_UpdateStart,&CMD0x05_Request_UpdateStart_process,1,1},	
	{CMD0x06_Request_RegisterAppStartTime,&CMD0x06_Request_RegisterAppStartTime_process,1,0},
	{CMD0x07_Request_ReadbackAppStartTime,&CMD0x07_Request_ReadbackAppStartTime_process,0,1},
#ifdef RUNNING_WHERE_AT_BOOT		

	{CMD0x08_Request_UpdateSend,CMD0x08_Request_UpdateSend_process,0,1},
	{CMD0x0B_Request_UpdateVerifyStage1,&CMD0x0B_Request_UpdateVerifyStage1_process,0,1},
	{CMD0x0C_Request_UpdateSwitch,&CMD0x0C_Request_UpdateSwitch_process,0,1},			
	{CMD0x0D_Request_UpdateVerifyStage2,&CMD0x0D_Request_UpdateVerifyStage2_process,0,1},	
	{CMD0x11_Request_UpdateFinished,CMD0x11_Request_UpdateFinished_process,0,0},	

#endif
	
	{CMD0x15_Request_WriteUpdateTimeStamp,&CMD0x15_Request_WriteUpdateTimeStamp_process,1,0},			

#ifndef RUNNING_WHERE_AT_BOOT	
	{CMD0x20_Request_PowerCtrl,CMD0x20_Request_PowerCtrl_process,0,0},//not implement
	{CMD0x21_Request_RefVlotage,CMD0x21_Request_RefVlotage_process,0,0},//not implement
	{CMD0x22_Request_AnalogChannelSet,CMD0x22_Request_AnalogChannelSet_process,0,0},//use method of sum and crc check,and sendback sample data
	{CMD0x23_Request_ExternalChannelSet,CMD0x23_Request_ExternalChannelSet_process,1,0},
	
	{CMD0x29_Request_SetGainTempCorrection,CMD0x29_Request_SetGainTempCorrection_process,0,0},//not implement
	{CMD0x30_Request_ReadTemperature,CMD0x30_Request_ReadTemperature_process,0,1},
	{CMD0x31_Request_ReadBack_ProbeStatus,CMD0x31_Request_ReadBack_ProbeStatus_process,0,1},	
	{CMD0x32_Request_CtrlProbeDifferenceOrSingle,CMD0x32_Request_CtrlProbeDifferenceOrSingle_process,0,0},//not implement
	{CMD0x33_Request_ReadProbeFactoryInfo,CMD0x33_Request_ReadProbeFactoryInfo_process,1,1},
	{CMD0x34_Request_CtrlProbeLed,CMD0x34_Request_CtrlProbeLed_process,1,0},
	{CMD0x40_Request_AnalogChannelCalcOffset,CMD0x40_Request_AnalogChannelCalcOffset_process,1,0},//not implement
	{CMD0x41_Request_AnalogChannelOffset,CMD0x41_Request_AnalogChannelOffset_process,1,0},
	{CMD0x42_Request_AnalogChannelGain,CMD0x42_Request_AnalogChannelGain_process,1,0},
	{CMD0x43_Request_CtrlChannel4094,CMD0x43_Request_CtrlChannel4094_process,1,0},	
	{CMD0x48_Request_CtrlOuterLed,CMD0x48_Request_CtrlOuterLed_process,1,0},	
	{CMD0x50_Request_WriteProbeFactoryInfo,CMD0x50_Request_WriteProbeFactoryInfo_process,1,0},	
#endif		
	{CMD0xC1_Request_CommunicateReset,CMD0xC1_Request_CommunicateReset_process,0,0},	
#ifndef RUNNING_WHERE_AT_BOOT		
	{CMD0xE0_Request_ThrowHDError,CMD0xE0_Request_ThrowHDError_process,0,0},	
	
	{CMD0xE1_Request_ThrowStuckError,CMD0xE1_Request_ThrowStuckError_process,0,0},	
	{CMD0xE3_Request_GetDebugData,CMD0xE3_Request_GetDebugData_process,1,0},
	{CMD0xE4_Request_TestCommunicate,CMD0xE4_Request_TestCommunicate_process,0,0},//max package length < 128 bytes
#endif	
};
