#ifndef __IAP_H__
#define __IAP_H__
#include "sys.h"  
#include "stmflash.h"
#include "CommandsDefine.h"
//////////////////////////////////////////////////////////////////////////////////	 
// 			2023/8/X GHz_ljw
//////////////////////////////////////////////////////////////////////////////////      
typedef  void (*iapfun)(void);				//һ͵Ĳ.  
#define FLASH_APP_STATE_OK 0xABCD1234 //32λ־


#define FLASH_BOOT_ADDR		ADDR_FLASH_SECTOR_0 // 0x08000000  	//Bootʼַ(FLASH)
#define FLASH_ADDR_BOOTWRITE_INFO_START ADDR_FLASH_SECTOR_4// 0x08010000   include app_state,hardware_version,see struct BootWriteFlashInfoStruct
#define FLASH_ADDR_APP		ADDR_FLASH_SECTOR_5 //0x08020000  	//һӦóʼַ(FLASH)
#define FLASH_ADDR_UPDATE_TEMP_AREA ADDR_FLASH_SECTOR_10 //0x080C0000
											//Bootloaderʹ(128KB)	   
												
extern void iap_load_app(u32 appxaddr);			//תAPPִ
extern void iap_write_appbin_at_tempArea(u32 receivedBytes,u8 *appbuf,u32 appsize);	//ַָʼ,дbin
extern void iap_write_bootbin(u32 receivedBytes,u8 *appbuf,u32 appsize);

struct BootWriteFlashInfoStruct
{
	VersionInfo BootVersion;
	u32 App_State;
	u32 HardVersion;
	u8  UpdateTimeStamp[16];
	u32 Reserved1;
  u32 reserved2;	
};

extern int iap_check_appstate(void);	//̼Ч
extern void iap_clear_appstate(void);	//̼Ч־
extern void iap_set_appstate(void);	//ù̼Ч־

extern void iap_ReadBootWriteInfo(struct BootWriteFlashInfoStruct * info);
extern void iap_UpdateBootWriteInfo(struct BootWriteFlashInfoStruct * info);
extern void iap_WriteBootVersionInfo(void);
#endif







































