#include "IIC_Base.h"
#include "delay.h"

//ʼIIC
void IIC_Init(void)
{
    GPIO_InitTypeDef  GPIO_InitStructure;

    RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOB, ENABLE);//ʹGPIOBʱ

    //GPIOB8,B9ʼ
    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_5 | GPIO_Pin_6 | GPIO_Pin_7;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;//ͨģʽ
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;//
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;//100MHz
    GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;// 
    GPIO_Init(GPIOB, &GPIO_InitStructure);//ʼ
		PBout(5) = 0;
		delay_us(10);
    PBout(5) = 1;
    IIC_SCL=1;
    IIC_SDA=1;
}
//IICʼź
void IIC_Start(void)
{
    SDA_OUT();     //sda
    IIC_SDA=1;
    IIC_SCL=1;
    delay_us(10);
    IIC_SDA=0;//START:when CLK is high,DATA change form high to low
    delay_us(10);
    IIC_SCL=0;//ǯסI2Cߣ׼ͻ
}
//IICֹͣź
void IIC_Stop(void)
{
		delay_us(2);
    SDA_OUT();//sda
    IIC_SCL=0;
    IIC_SDA=0;//STOP:when CLK is high DATA change form low to high
    delay_us(10);
    IIC_SCL=1;
		delay_us(5);
    IIC_SDA=1;//I2C߽ź
    delay_us(10);
}
//ȴӦźŵ
//ֵ1Ӧʧ
//        0Ӧɹ
u8 IIC_Wait_Ack(void)
{
    u8 ucErrTime=0;
    SDA_IN();      //SDAΪ
    //IIC_SDA=1;
    delay_us(10);
    IIC_SCL=1;
    delay_us(10);
    while(READ_SDA)
    {
        ucErrTime++;
        if(ucErrTime>250)
        {
            IIC_Stop();
            return 1;
        }
    }

    IIC_SCL=0;//ʱ0
    return 0;
}
//ACKӦ
void IIC_Ack(void)
{
    IIC_SCL=0;
    SDA_OUT();
    IIC_SDA=0;
    delay_us(10);
    IIC_SCL=1;
    delay_us(10);
    IIC_SCL=0;
}
//ACKӦ
void IIC_NAck(void)
{
    IIC_SCL=0;
    SDA_OUT();
    IIC_SDA=1;
    delay_us(10);
    IIC_SCL=1;
    delay_us(10);
    IIC_SCL=0;
}
//IICһֽ

void IIC_Send_Byte(u8 txd)
{
    u8 t;
    SDA_OUT();
    IIC_SCL=0;//ʱӿʼݴ
    for(t=0; t<8; t++)
    {
        IIC_SDA=(txd&0x80)>>7;
        txd<<=1;
        delay_us(10);   //TEA5767ʱǱ
        IIC_SCL=1;
        delay_us(10);
        IIC_SCL=0;
        delay_us(10);
    }
}
//1ֽڣack=1ʱACKack=0nACK
u8 IIC_Read_Byte(unsigned char ack)
{
    unsigned char i,receive=0;
    SDA_IN();//SDAΪ
    for(i=0; i<8; i++ )
    {
        IIC_SCL=0;
        delay_us(10);
        IIC_SCL=1;
        receive<<=1;
        if(READ_SDA)receive++;
        delay_us(10);
    }
    if (!ack)
        IIC_NAck();//nACK
    else
        IIC_Ack(); //ACK
    return receive;
}



























