#ifndef __STMFLASH_H__
#define __STMFLASH_H__
#include "sys.h"   
//////////////////////////////////////////////////////////////////////////////////	 
// 			2023/3/X GHz_ljw
//////////////////////////////////////////////////////////////////////////////////  


//FLASHʼַ
#define STM32_FLASH_BASE 0x08000000 	//STM32 FLASHʼַ
 

//FLASH ʼַ
#define ADDR_FLASH_SECTOR_0     ((u32)0x08000000) 	//0ʼַ, 16 Kbytes  
#define ADDR_FLASH_SECTOR_1     ((u32)0x08004000) 	//1ʼַ, 16 Kbytes  
#define ADDR_FLASH_SECTOR_2     ((u32)0x08008000) 	//2ʼַ, 16 Kbytes  
#define ADDR_FLASH_SECTOR_3     ((u32)0x0800C000) 	//3ʼַ, 16 Kbytes  
#define ADDR_FLASH_SECTOR_4     ((u32)0x08010000) 	//4ʼַ, 64 Kbytes  
#define ADDR_FLASH_SECTOR_5     ((u32)0x08020000) 	//5ʼַ, 128 Kbytes  
#define ADDR_FLASH_SECTOR_6     ((u32)0x08040000) 	//6ʼַ, 128 Kbytes  
#define ADDR_FLASH_SECTOR_7     ((u32)0x08060000) 	//7ʼַ, 128 Kbytes  
#define ADDR_FLASH_SECTOR_8     ((u32)0x08080000) 	//8ʼַ, 128 Kbytes  
#define ADDR_FLASH_SECTOR_9     ((u32)0x080A0000) 	//9ʼַ, 128 Kbytes  
#define ADDR_FLASH_SECTOR_10    ((u32)0x080C0000) 	//10ʼַ,128 Kbytes  
#define ADDR_FLASH_SECTOR_11    ((u32)0x080E0000) 	//11ʼַ,128 Kbytes  

u32 STMFLASH_ReadWord(u32 faddr);		  	//  
void STMFLASH_Write(u32 WriteAddr,u32 *pBuffer,u32 NumToWrite);		//ַָʼдָȵ
void STMFLASH_Read(u32 ReadAddr,u32 *pBuffer,u32 NumToRead);   		//ַָʼָȵ
						   
#endif

















