#include "AnalogChannelCtrl_2d5g_base.h"
#include "delay.h"
#include "sys.h"
#include "AnalogChannelCtrl.h"
#include "AnalogChannelCtrl_Dictionary.h"
//////////////////////////////////////////////////////////////////////////////////
// 			2203/7/X GHz_ljw ϲ
//////////////////////////////////////////////////////////////////////////////

u8 CH1_PROTECT_EN=0;
u8 CH2_PROTECT_EN=0;
u8 CH3_PROTECT_EN=0;
u8 CH4_PROTECT_EN=0;
unsigned char TRIG_ShiftReg_CMD_temp;
unsigned long CH_ShiftReg_CMD_temp;
 

void AnalogChProtect_GPIO_Init(void)
{
    NVIC_InitTypeDef   NVIC_InitStructure;
    EXTI_InitTypeDef   EXTI_InitStructure;

    //KEY_Init(); //CH1,CH2,CH3,CH4ӦIOڳʼ
    GPIO_InitTypeDef  GPIO_InitStructure;

// RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOA|RCC_AHB1Periph_GPIOC|RCC_AHB1Periph_GPIOD|RCC_AHB1Periph_GPIOE, ENABLE);//ʹGPIOA.GPIOC.GPIOD.GPIOEʱ

    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_3; //CH3Ӧ
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;//ͨģʽ
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;//100M
//  GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;//
    GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_DOWN ;//
    GPIO_Init(GPIOA, &GPIO_InitStructure);//ʼGPIOD0,1,2,3

    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_11; //CH1Ӧ
    GPIO_Init(GPIOC, &GPIO_InitStructure);//ʼGPIOD0,1,2,3

    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8; //CH2Ӧ
    GPIO_Init(GPIOD, &GPIO_InitStructure);//ʼGPIOD0,1,2,3

    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_5; //CH4Ӧ
    GPIO_Init(GPIOE, &GPIO_InitStructure);//ʼGPIOD0,1,2,3
 
    RCC_APB2PeriphClockCmd(RCC_APB2Periph_SYSCFG, ENABLE);//ʹSYSCFGʱ
 
    SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOC, EXTI_PinSource11);//PD0 ӵж0
    SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOD, EXTI_PinSource8);//PD1 ӵж1
    SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOA, EXTI_PinSource3);//PD2 ӵж2
    SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOE, EXTI_PinSource5);//PD3 ӵж3

    /* EXTI_Line0,1,2,3 */
    EXTI_InitStructure.EXTI_Line = EXTI_Line3|EXTI_Line5 | EXTI_Line8 | EXTI_Line11;//LINE0/LINE1/LINE2/LINE3
    EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;//ж¼
    EXTI_InitStructure.EXTI_Trigger = EXTI_Trigger_Rising; //ش
    EXTI_InitStructure.EXTI_LineCmd = ENABLE;//ʹLINE0
    EXTI_Init(&EXTI_InitStructure);//

//	/* EXTI_Line2,3,4 */
//	EXTI_InitStructure.EXTI_Line = EXTI_Line2 | EXTI_Line3 | EXTI_Line4;
//  EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;//ж¼
//  EXTI_InitStructure.EXTI_Trigger = EXTI_Trigger_Falling; //½ش
//  EXTI_InitStructure.EXTI_LineCmd = ENABLE;//жʹ
//  EXTI_Init(&EXTI_InitStructure);//

    NVIC_InitStructure.NVIC_IRQChannel = EXTI3_IRQn;//ⲿж0
    NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 1;//ռȼ1
    NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x00;//ȼ2
    NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;//ʹⲿжͨ
    NVIC_Init(&NVIC_InitStructure);//

    NVIC_InitStructure.NVIC_IRQChannel = EXTI9_5_IRQn;//ⲿж1
    NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 1;//ռȼ1
    NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x01;//ȼ2
    NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;//ʹⲿжͨ
    NVIC_Init(&NVIC_InitStructure);//


    NVIC_InitStructure.NVIC_IRQChannel = EXTI15_10_IRQn;//ⲿж2
    NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 1;//ռȼ1
    NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x03;//ȼ2
    NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;//ʹⲿжͨ
    NVIC_Init(&NVIC_InitStructure);//


//	NVIC_InitStructure.NVIC_IRQChannel = EXTI3_IRQn;//ⲿж3
//  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 1;//ռȼ1
//  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x04;//ȼ2
//  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;//ʹⲿжͨ
//  NVIC_Init(&NVIC_InitStructure);//

}

//ѹͨл˥
void AnalogChCtrl_ProtectProcess(void)
{
		u8 Protected=0;
    if(CH1_PROTECT_EN==1)
    {
        CH_ShiftReg_CMD_temp&=0XFFFFFF00;
				//CH_ShiftReg_CMD_temp|=bwCtrlWords[2]; //500Mhz
				CH_ShiftReg_CMD_temp|=bwCtrlWords[1]; //1Ghz
        CD_4094(TRIG_ShiftReg_CMD_temp,1);
        CD_4094(CH_ShiftReg_CMD_temp,4);
        CH1_PROTECT_EN=0;
				Protected=1;
        //printf("CH1_PROTECT_EN\r\n");
    }
    if(CH2_PROTECT_EN==1)
    {
        CH_ShiftReg_CMD_temp&=0XFFFF00FF;
				//CH_ShiftReg_CMD_temp|=bwCtrlWords[2]<<8; //500Mhz
				CH_ShiftReg_CMD_temp|=bwCtrlWords[1]<<8; //1Ghz
        CD_4094(TRIG_ShiftReg_CMD_temp,1);
        CD_4094(CH_ShiftReg_CMD_temp,4);
        CH2_PROTECT_EN=0;
        //printf("CH2_PROTECT_EN\r\n");
				Protected=1;
    }
    if(CH3_PROTECT_EN==1)
    {
        CH_ShiftReg_CMD_temp&=0XFF00FFFF;
				//CH_ShiftReg_CMD_temp|=bwCtrlWords[2]<<16; //500Mhz
				CH_ShiftReg_CMD_temp|=bwCtrlWords[1]<<16;//1Ghz
        CD_4094(TRIG_ShiftReg_CMD_temp,1);
        CD_4094(CH_ShiftReg_CMD_temp,4);
        CH3_PROTECT_EN=0;
        //printf("CH3_PROTECT_EN\r\n");
				Protected=1;
    }
    if(CH4_PROTECT_EN==1)
    {
        CH_ShiftReg_CMD_temp&=0X00FFFFFF;
				//CH_ShiftReg_CMD_temp|=bwCtrlWords[2]<<24; //500Mhz
				CH_ShiftReg_CMD_temp|=bwCtrlWords[1]<<24; ///1Ghz
        CD_4094(TRIG_ShiftReg_CMD_temp,1);
        CD_4094(CH_ShiftReg_CMD_temp,4);
        CH4_PROTECT_EN=0;
        //printf("CH4_PROTECT_EN\r\n");
				Protected=1;
    }
		if (Protected==1)
        delay_us(100);
}
