#include "EXIT.h"
#include "delay.h" 
#include "Probe_MSO7000X_2d5g.h"
#include "AnalogChannelCtrl_2d5g_base.h"

//////////////////////////////////////////////////////////////////////////////
//       2203/7/X GHz_ljw ϲ
//////////////////////////////////////////////////////////////////////////////

//ж2
void EXTI2_IRQHandler(void)
{
	delay_ms(20);	//
	if(Probe3_Btn == 0 && probeBtn3_Exit==1)	 
	{
		probeBtn3_Exit = 0; 
	}		 
	 EXTI_ClearITPendingBit(EXTI_Line2); //LINE0ϵжϱ־λ 
}	
//ж4
void EXTI4_IRQHandler(void)
{
	delay_ms(20);	//
	if(Probe2_Btn == 0 && probeBtn2_Exit==1)	 
	{
		probeBtn2_Exit = 0; 
	}		 
	 EXTI_ClearITPendingBit(EXTI_Line4);//LINE2ϵжϱ־λ 
}
//ж6
//CH1
void EXTI9_5_IRQHandler(void)
{
	if(EXTI_GetFlagStatus(EXTI_Line6) == SET)		
	{
		delay_ms(20);	//
		if(Probe1_Btn == 0 && probeBtn1_Exit==1)	 
		{
			probeBtn1_Exit = 0; 
		}		 
		 EXTI_ClearITPendingBit(EXTI_Line6);  //LINE3ϵжϱ־λ  
	}
	else if(EXTI_GetFlagStatus(EXTI_Line5) == SET)
	{	
		//if(CH4_InPut==1)
		{
			CH4_PROTECT_EN=1;
		}
    EXTI_ClearITPendingBit(EXTI_Line5); //LINE3ϵжϱ־λ
	}
	else if(EXTI_GetFlagStatus(EXTI_Line8) == SET)
	{
		//if(CH2_InPut==1)
		{
				CH2_PROTECT_EN=1;	
		}
		EXTI_ClearITPendingBit(EXTI_Line8); //жϱ־λ
	}
}

//ж10
//CH1
void EXTI15_10_IRQHandler(void)
{
		if(EXTI_GetFlagStatus(EXTI_Line10) == SET)		
		{
			delay_ms(20);	//
			if(Probe_Res_On == 0 && probeBtnRes_Exit==1)	 
			{
				probeBtnRes_Exit = 0; 
			}		 
			EXTI_ClearITPendingBit(EXTI_Line10);//жϱ־λ  
		}
		else if(EXTI_GetFlagStatus(EXTI_Line12) == SET)		
		{
			delay_ms(20);	//
			if(Probe4_Btn == 0 && probeBtn4_Exit==1)	 
			{
				probeBtn4_Exit = 0; 
			}		 
			EXTI_ClearITPendingBit(EXTI_Line12);//жϱ־λ  
		}
		else
		{		
			if(EXTI_GetFlagStatus(EXTI_Line11) == SET)
			{
				//if(CH1_InPut==1)
				//{
						CH1_PROTECT_EN=1;	
				//}
				EXTI_ClearITPendingBit(EXTI_Line11); //жϱ־λ
			}
			
		}
}

void EXTI3_IRQHandler(void)//CH2
{
	//if(CH3_InPut==1){
    CH3_PROTECT_EN=1;
	//}
    EXTI_ClearITPendingBit(EXTI_Line3); //LINE1ϵжϱ־λ
}


//void EXTI8_IRQHandler(void)//CH3
//{
//	 CH3_PROTECT_EN=1;
//	 EXTI_ClearITPendingBit(EXTI_Line8); //LINE2ϵжϱ־λ
//}
 
//ж12
void EXTI12_IRQHandler(void)
{
	delay_ms(10);	//
	if(Probe_Res_Btn == 0 && probeBtnRes_Exit ==1)	 
	{
		probeBtnRes_Exit = 0; 
	}		 
	EXTI_ClearITPendingBit(EXTI_Line12);//LINE4ϵжϱ־λ  
}
	   
//ⲿжϳʼ
//ʼPE2~4,PA0Ϊж.
void EXTIX_Init(void)
{
	NVIC_InitTypeDef   NVIC_InitStructure;
	EXTI_InitTypeDef   EXTI_InitStructure;
 
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_SYSCFG, ENABLE);//ʹSYSCFGʱ
	 
	SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOD, EXTI_PinSource2); 
	SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOD, EXTI_PinSource4); 
	SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOD, EXTI_PinSource6); 
	SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOD, EXTI_PinSource8); 
	SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOA, EXTI_PinSource10); 
	SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOA, EXTI_PinSource12); 
	SYSCFG_EXTILineConfig(EXTI_PortSourceGPIOE, EXTI_PinSource5); 
	
	/* EXTI_Line */
	EXTI_InitStructure.EXTI_Line = EXTI_Line2 | EXTI_Line6 |  EXTI_Line5 |EXTI_Line4 |  EXTI_Line8 |EXTI_Line10| EXTI_Line12;
  EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;//ж¼
  EXTI_InitStructure.EXTI_Trigger = EXTI_Trigger_Rising;  
  EXTI_InitStructure.EXTI_LineCmd = ENABLE;//жʹ
  EXTI_Init(&EXTI_InitStructure);//

	NVIC_InitStructure.NVIC_IRQChannel = EXTI2_IRQn; 
  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0x01;//ռȼ3
  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x02;//ȼ2
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;//ʹⲿжͨ
  NVIC_Init(&NVIC_InitStructure);//
	
	NVIC_InitStructure.NVIC_IRQChannel = EXTI4_IRQn; 
  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0x02;//ռȼ1
  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x01;//ȼ2
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;//ʹⲿжͨ
  NVIC_Init(&NVIC_InitStructure);//
	 
	NVIC_InitStructure.NVIC_IRQChannel = EXTI15_10_IRQn; 
  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0x03;//ռȼ2
  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x02;//ȼ2
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;//ʹⲿжͨ
  NVIC_Init(&NVIC_InitStructure);//
	 
	NVIC_InitStructure.NVIC_IRQChannel = EXTI9_5_IRQn; 
  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0x04;//ռȼ2
  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x02;//ȼ2
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;//ʹⲿжͨ
  NVIC_Init(&NVIC_InitStructure);//
	  
}

 
