#include "delay.h"
#include "24CXX.h"

//////////////////////////////////////////////////////////////////////////////////
// 			2203/4/X GHz_ljw ϲ
//////////////////////////////////////////////////////////////////////////////

//AT24CXXַָһ
//ReadAddr:ʼĵַ
//ֵ  :
//ljw 23.6.30 Tested
u8 AT24CXX_ReadOneByte(u16 ReadAddr)
{
    u8 ack=0;
		u8 data=0;
    IIC_Start();
    if(EE_TYPE>AT24C16)
    {
        IIC_Send_Byte(0XA0);	   //д
        ack = IIC_Wait_Ack();
				if(ack!=0)
				{
					goto fail;
				}
        IIC_Send_Byte(ReadAddr>>8);//͸ߵַ
    } else IIC_Send_Byte(0XA0+((ReadAddr/256)<<1));   //̶ַ0XA0,д
    ack = IIC_Wait_Ack();
		if(ack!=0)
		{
			goto fail;
		}
    IIC_Send_Byte(ReadAddr%256);   //͵͵ַ
    ack = IIC_Wait_Ack();
		if(ack!=0)
		{
			goto fail;
		}
    IIC_Start();
    IIC_Send_Byte(0XA1);           //ģʽ
	  ack = IIC_Wait_Ack();
		if(ack!=0)
		{
			goto fail;
		}
    data=IIC_Read_Byte(0);
    IIC_Stop();//һֹͣ
    
    return data;
		 
		fail:
			IIC_Stop();//һֹͣ
	
			return 0;
}
/*
u8 AT24CXX_WriteOneByte(u16 WriteAddr,u8 DataToWrite)
{
    //u8 test = 0;
    IIC_Start();
    if(EE_TYPE>AT24C16)
    {
        IIC_Send_Byte(0XA0);	    //д
        IIC_Wait_Ack();
        IIC_Send_Byte(WriteAddr>>8);//͸ߵַ
    } 
		else IIC_Send_Byte(0XA0+((WriteAddr/256)<<1));   //ַ0XA0,д
		
    IIC_Wait_Ack();
    IIC_Send_Byte(WriteAddr%256);   //͵͵ַ
    IIC_Wait_Ack();
    IIC_Send_Byte(DataToWrite);     //ֽ
    IIC_Wait_Ack();
		//test = test; // ãwaring 
    IIC_Stop();//һֹͣ
    delay_ms(10);
		return 1;
}*/
//AT24CXXַָдһ
//WriteAddr  :дݵĿĵַ
//DataToWrite:Ҫд
//ljw 23.6.30 Tested
u8 AT24CXX_WriteOneByte(u16 WriteAddr,u8 DataToWrite)
{
    u8 ack = 0;
    IIC_Start();
    if(EE_TYPE>AT24C16)
		//if(0)
    {
        IIC_Send_Byte(0XA0);	    //д
        ack = IIC_Wait_Ack();
				if(ack!=0)
				{
					//goto fail;
				}
        IIC_Send_Byte(WriteAddr>>8);//͸ߵַ
    } 
		else IIC_Send_Byte(0XA0+((WriteAddr/256)<<1));   //ַ0XA0,д
		ack = IIC_Wait_Ack();
    if(ack!=0)
		{
			//goto fail;
		}
    IIC_Send_Byte(WriteAddr%256);   //͵͵ַ
    ack = IIC_Wait_Ack();
    if(ack!=0)
		{
			//goto fail;
		}
    IIC_Send_Byte(DataToWrite);     //ֽ
    ack = IIC_Wait_Ack();
    if(ack!=0)
		{
			//goto fail;
		}
 
		IIC_Stop();//һֹͣ
		delay_ms(15);
		return 1;
		/*fail:
			IIC_Stop();//һֹͣ
	
			return 0;*/
}

//AT24CXXַָʼд볤ΪLen
//úд16bit32bit.
//WriteAddr  :ʼдĵַ
//DataToWrite:׵ַ
//Len        :Ҫдݵĳ2,4
void AT24CXX_WriteLenByte(u16 WriteAddr,u32 DataToWrite,u8 Len)
{
    u8 t;
    for(t=0; t<Len; t++)
    {
        AT24CXX_WriteOneByte(WriteAddr+t,(DataToWrite>>(8*t))&0xff);
    }
}

//AT24CXXַָʼΪLen
//úڶ16bit32bit.
//ReadAddr   :ʼĵַ
//ֵ     :
//Len        :Ҫݵĳ2,4
u32 AT24CXX_ReadLenByte(u16 ReadAddr,u8 Len)
{
    u8 t;
    u32 temp=0;
    for(t=0; t<Len; t++)
    {
        temp<<=8;
        temp+=AT24CXX_ReadOneByte(ReadAddr+Len-t-1);
    }
    return temp;
}
//AT24CXXǷ
//24XXһַ(255)洢־.
//23.3.x ,AT24C32 => 0x0FFF, GHz ljw
//24Cϵ,ַҪ޸
//1:ʧ
//0:ɹ
u8 AT24CXX_Check(void)
{
    u8 temp;
    temp=AT24CXX_ReadOneByte(0xFF);//ÿοдAT24CXX
    if(temp==0X28)
    {
        return 0;
    }
    else//ųһγʼ
    {
        AT24CXX_WriteOneByte(0xFF,0X28);
        temp=AT24CXX_ReadOneByte(0xFF);
        if(temp==0X28)
        {
            return 0;
        }
    }
    return 1;
}

//AT24CXXַָʼָ
//ReadAddr :ʼĵַ 24c02Ϊ0~255
//pBuffer  :׵ַ
//NumToRead:Ҫݵĸ
void AT24CXX_Read(u16 ReadAddr,u8 *pBuffer,u16 NumToRead)
{
    while(NumToRead)
    {
        *pBuffer++=AT24CXX_ReadOneByte(ReadAddr++);
        NumToRead--;
    }
}
//AT24CXXַָʼдָ
//WriteAddr :ʼдĵַ 24c02Ϊ0~255
//pBuffer   :׵ַ
//NumToWrite:Ҫдݵĸ
u8 AT24CXX_Write(u16 WriteAddr,u8 *pBuffer,u16 NumToWrite)
{
		u8 result =0;
    while(NumToWrite--)
    {
        result = AT24CXX_WriteOneByte(WriteAddr,*pBuffer);
				if(result!=1)
				{
					return 0;
				}
        WriteAddr++;
        pBuffer++;
    }
		return 1;
}

