#include "stmflash.h"
#include "delay.h"
#include "usart.h" 
//////////////////////////////////////////////////////////////////////////////////	 
// 			2023/4/X GHz_ljw
//////////////////////////////////////////////////////////////////////////////////  
 
//ȡַָİ(16λ) 
//faddr:ַ 
//ֵ:Ӧ.
u32 STMFLASH_ReadWord(u32 faddr)
{
	return *(vu32*)faddr; 
}  
//ȡĳַڵflash
//addr:flashַ
//ֵ:0~11,addrڵ
uint16_t STMFLASH_GetFlashSector(u32 addr)
{
	if(addr<ADDR_FLASH_SECTOR_1)return FLASH_Sector_0;
	else if(addr<ADDR_FLASH_SECTOR_2)return FLASH_Sector_1;
	else if(addr<ADDR_FLASH_SECTOR_3)return FLASH_Sector_2;
	else if(addr<ADDR_FLASH_SECTOR_4)return FLASH_Sector_3;
	else if(addr<ADDR_FLASH_SECTOR_5)return FLASH_Sector_4;
	else if(addr<ADDR_FLASH_SECTOR_6)return FLASH_Sector_5;
	else if(addr<ADDR_FLASH_SECTOR_7)return FLASH_Sector_6;
	else if(addr<ADDR_FLASH_SECTOR_8)return FLASH_Sector_7;
	else if(addr<ADDR_FLASH_SECTOR_9)return FLASH_Sector_8;
	else if(addr<ADDR_FLASH_SECTOR_10)return FLASH_Sector_9;
	else if(addr<ADDR_FLASH_SECTOR_11)return FLASH_Sector_10; 
	return FLASH_Sector_11;	
}
//ַָʼдָȵ
//رע:ΪSTM32F4ʵ̫,û취ر,Ա
//         дַ0XFF,ôȲҲ.
//         д0XFFĵַ,ݶʧ.д֮ǰȷ
//         ûҪ,Ȳ,Ȼд. 
//úOTPҲЧ!дOTP!
//OTPַΧ:0X1FFF7800~0X1FFF7A0F
//WriteAddr:ʼַ(˵ַΪ4ı!!)
//pBuffer:ָ
//NumToWrite:(32λ)(Ҫд32λݵĸ.) 
void STMFLASH_Write(u32 WriteAddr,u32 *pBuffer,u32 NumToWrite)	
{ 
  FLASH_Status status = FLASH_COMPLETE;
	u32 addrx=0;
	u32 endaddr=0;	
  if(WriteAddr<STM32_FLASH_BASE||WriteAddr%4)return;	//Ƿַ
	FLASH_Unlock();									// 
  FLASH_DataCacheCmd(DISABLE);//FLASHڼ,ֹݻ
 		
	addrx=WriteAddr;				//дʼַ
	endaddr=WriteAddr+NumToWrite*4;	//дĽַ
	if(addrx<0X1FFF0000)			//ֻ洢,Ҫִв!!
	{
		while(addrx<endaddr)		//ɨһϰ.(ԷFFFFFFFFĵط,Ȳ)
		{
			if(STMFLASH_ReadWord(addrx)!=0XFFFFFFFF)//з0XFFFFFFFFĵط,Ҫ
			{   
				FLASH_ClearFlag( FLASH_FLAG_EOP |  FLASH_FLAG_WRPERR | FLASH_FLAG_PGAERR | FLASH_FLAG_PGPERR | FLASH_FLAG_PGSERR);
				status=FLASH_EraseSector(STMFLASH_GetFlashSector(addrx),VoltageRange_3);//VCC=2.7~3.6V֮!!
				if(status!=FLASH_COMPLETE)
					break;	//
			}
			else 
				addrx+=4;
		} 
	}
	if(status==FLASH_COMPLETE)
	{
		while(WriteAddr<endaddr)//д
		{
			if(FLASH_ProgramWord(WriteAddr,*pBuffer)!=FLASH_COMPLETE)//д
			{ 
				break;	//д쳣
			}
			WriteAddr+=4;
			pBuffer++;
		} 
	}
  FLASH_DataCacheCmd(ENABLE);	//FLASH,ݻ
	FLASH_Lock();//
} 

//ַָʼָȵ
//ReadAddr:ʼַ
//pBuffer:ָ
//NumToRead:(4λ)
void STMFLASH_Read(u32 ReadAddr,u32 *pBuffer,u32 NumToRead)   	
{
	u32 i;
	for(i=0;i<NumToRead;i++)
	{
		pBuffer[i]=STMFLASH_ReadWord(ReadAddr);//ȡ4ֽ.
		ReadAddr+=4;//ƫ4ֽ.	
	}
}














